import { ElementRef, OnChanges, OnInit } from '@angular/core';
import { NtMarkdownService } from './markdown.service';
export declare class NtMarkdownBlockComponent implements OnInit, OnChanges {
    private _platformId;
    private _markdownService;
    private _elementRef;
    private _path;
    private _data;
    private _md;
    private _ext;
    changeLog: string[];
    markdown: string;
    constructor(_platformId: Object, _markdownService: NtMarkdownService, _elementRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(): void;
    path: string;
    data: string;
    onDataChange(data: string): void;
    /**
     *  After view init
     */
    ngAfterViewInit(): void;
    processRaw(): void;
    /**
     * get remote conent;
     */
    onPathChange(): void;
    /**
     * catch http error
     */
    private _handleError;
    /**
     * Prepare string
     */
    prepare(raw: string): string;
    postpare(): void;
    /**
     * Trim left whitespace
     */
    private _trimLeft;
}
